tr?id=2006659569564293&ev=PageView&noscript=1
 
banner_macos_mojave_en

SilverFast 8.8 supports macOS Mojave 10.14 - available now

icon_scanner_60x50 SilverFast 8.8 runs on 64-bit Intel Mac OS X systems from version 10.7 (including macOS Mojave). Older versions of SilverFast (5.0 - 6.6) will not run on the latest Mac operating systems! With the ongoing development and optimization of SilverFast, the PC hardware and software environment requirements increase. With the release of SilverFast 8.8 we discontinue supporting some older operating systems: all 32-bit systems, Windows XP and Mac OS X 10.5/ 10.6. More information on the SilverFast System Requirements

icon_note Note: Caution when updating to MacOS Mojave (10.14)



button_upgrade button_buy button_demo button_info



SilverFast 8.8 is macOS Mojave compatible for the following scanners:


macOS Mojave and other SilverFast products
icon_camera_60x60 icon_48bit_60x60 icon_printer_60x60 In addition to the scanner software, SilverFast HDR 8 and HDR Studio 8 have now been tested extensively and are fully compatible with macOS Mojave 10.14.